
Distribution EOLE - Tâche #26256

Scénario # 26198 (Terminé (Sprint)): Traitement express MEN (50-51)

Eole-AD : lsc ne devrait pas essayer de supprimer les comptes built-in et les groupes liés à la

gestion du DNS

12/11/2018 02:41 PM - Joël Cuissinat

Status: Fermé Start date: 01/29/2018

Priority: Normal Due date:  

Assigned To: Joël Cuissinat % Done: 0%

Target version: sprint 2018 50-51 Equipe MENSR Estimated time: 0.00 hour

  Spent time: 0.00 hour

Description

On peut le constater lors de la synchro nocturne :

Démarrage de post schedule daily

/usr/share/eole/schedule/daily/post/eolead:

déc. 01 02:59:48 - ERROR - Error while deleting entry CN=Allowed RODC Password Replication Group,C

N=Users,DC=dompedago,DC=etb1,DC=lan in directory :javax.naming.NamingException: [LDAP: error code 

80 - error in module samldb: Other during LDB_DELETE (80)]; remaining name 'CN=Allowed RODC Passwo

rd Replication Group,CN=Users'

déc. 01 02:59:48 - ERROR - Error while synchronizing ID CN=Allowed RODC Password Replication Group

,CN=Users,DC=dompedago,DC=etb1,DC=lan: java.lang.Exception: Technical problem while applying modif

ications to destination service

déc. 01 02:59:48 - ERROR - Error while deleting entry CN=Enterprise Read-only Domain Controllers,C

N=Users,DC=dompedago,DC=etb1,DC=lan in directory :javax.naming.NamingException: [LDAP: error code 

80 - error in module samldb: Other during LDB_DELETE (80)]; remaining name 'CN=Enterprise Read-onl

y Domain Controllers,CN=Users'

déc. 01 02:59:48 - ERROR - Error while synchronizing ID CN=Enterprise Read-only Domain Controllers

,CN=Users,DC=dompedago,DC=etb1,DC=lan: java.lang.Exception: Technical problem while applying modif

ications to destination service

 

Visiblement, les entrées possédant l'attribut isCriticalSystemObject=TRUE sont protégées (et remontent des erreurs) mais ce n'est

pas le cas pour les groupes DnsAdmins et DnsUpdateProxy qui sont supprimés alors qu'ils sont nécessaires si eole-ad est couplé

à un Seth configuré pour utiliser Bind en tant que backend DNS.

Associated revisions

Revision 3c784a61 - 12/11/2018 03:53 PM - Joël Cuissinat

Protect Built-in Samba objects from lsc deletion

Ref: #26261

History

#1 - 12/11/2018 03:52 PM - Joël Cuissinat

- Description updated

- Status changed from Nouveau to En cours

- Assigned To set to Joël Cuissinat

#2 - 12/11/2018 03:52 PM - Joël Cuissinat

- Description updated
#3 - 12/11/2018 03:57 PM - Joël Cuissinat

eole-ad     2.6.2-30

eole-ad     2.7.0-8

#4 - 12/13/2018 09:37 AM - Scrum Master

- Status changed from En cours to Résolu

#5 - 01/08/2019 04:02 PM - Gilles Grandgérard

- Status changed from Résolu to Fermé

- Remaining (hours) set to 0.0
